@ECHO off
rem ******************************************************************************************************************************
rem * Licensed Materials - Property of IBM                                                                                       *
rem * (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
rem *                                                                                                                            *
rem *US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
rem ******************************************************************************************************************************

IF NOT DEFINED LOCALE (SET LOCALE= )
SET LOCEN=0409
SET LOCIT=0410 
SET LOCJP=0411 
SET LOCKO=0412 
SET LOCPO=0415 
SET LOCCHS=0804
SET LOCCHT=0404
SET LOCDE=0407
SET LOCES=0C0A
SET LOCFR=040C
SET LOCFRCAN=0C0C
SET LOCPTBR=0416

IF NOT DEFINED ORA_VERSION (SET ORA_VERSION= )
IF NOT DEFINED ORACLE_HOME (SET ORACLE_HOME= )
IF NOT DEFINED ORACLE_BASE (SET ORACLE_BASE= )
IF NOT DEFINED ORACLE_SID (SET ORACLE_SID= )
IF NOT DEFINED SYSPWD (SET SYSPWD= )
IF NOT DEFINED SYSTEMPWD (SET SYSTEMPWD= )
IF NOT DEFINED SYSMANPWD (SET SYSMANPWD= )
IF NOT DEFINED DBSNMPWD (SET DBSNMPWD= )
IF NOT DEFINED DBA_USER (SET DBA_USER= )
IF NOT DEFINED DBA_PASSWORD (SET DBA_PASSWORD= )
IF NOT DEFINED NF_SCHEMA (SET NF_SCHEMA= )
IF NOT DEFINED STAR_SCHEMA (SET STAR_SCHEMA= )
IF NOT DEFINED RIBA_SCHEMA (SET RIBA_SCHEMA= )
IF NOT DEFINED RIASSET_SCHEMA (SET RIASSET_SCHEMA= )
IF NOT DEFINED RISCHK_SCHEMA (SET RISCHK_SCHEMA= )
IF NOT DEFINED REP_USER (SET REP_USER= )
IF NOT DEFINED REP_PASSWD (SET REP_PASSWD= )
IF NOT DEFINED DATA_HOME (SET DATA_HOME= )
IF NOT DEFINED HOST_NAME (SET HOST_NAME= )
IF NOT DEFINED START_YEAR (SET START_YEAR= )
IF NOT DEFINED END_YEAR (SET END_YEAR= )
IF NOT DEFINED ORALEVEL (SET ORALEVEL= )

IF NOT DEFINED JAVA_HOME (SET JAVA_HOME= )

SET EXITCODE=0
SET MESSAGE= XXX 
SET ACTION=X

IF NOT EXIST set_env.bat (
                           SET EXITCODE=4597 
                           
                           GOTO done
                                    ) ELSE (                
                       call set_env.bat
                                  )



IF "%JAVA_HOME%" EQU " " (
SET EXITCODE= 4596 
GOTO done)  


SET CURDIR=%CD%

CD /d "%JAVA_HOME%\bin"
IF "%ERRORLEVEL%" EQU "1" (
SET EXITCODE=4596
GOTO done)

IF NOT EXIST java.exe (
SET EXITCODE= 4598
GOTO done   ) 

CD /d %CURDIR%

set path=%JAVA_HOME%\bin;%path%

REG QUERY "HKCU\Control Panel\International" /v Locale>locale.txt

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCIT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCIT%
call lang\it\messages.bat) 
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCJP% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCJP%
call lang\jp\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCKO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCKO%
call lang\kr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCPO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCPO%
call lang\pl\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCCHS% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHS%
call lang\zh_CN\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCCHT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHT%
call lang\zh_TW\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCEN% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCEN%
call lang\en\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCDE% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCDE%
call lang\de\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCES% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCES%
call lang\es\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCFR% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCFR%
call lang\fr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCFRCAN% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCFRCAN%
call lang\fr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCPTBR% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCPTBR%
call lang\pt_BR\messages.bat)
IF "%LOCALE%" EQU " " (
SET LOCALE=%LOCEN%
call lang\en\messages.bat)

IF "%1" EQU "-validate" (GOTO validate)




SET EXITCODE=0
SET MESSAGE=No errors
SET ACTION= 
SET /A FULL=1

SET /A SILENT=0
IF "%1" EQU "-silent" (
SET /A SILENT=1) 


SET ORA_CMD=
IF "%1" EQU "-debug" (SET ORA_CMD=ON ) ELSE (SET ORA_CMD=OFF )
IF "%2" NEQ "" (IF "%2" EQU "-debug" (SET ORA_CMD=ON) ELSE (SET ORA_CMD=OFF))


IF %SILENT% EQU 0 (
call parameters.bat
)

IF "%ORA_VERSION%" EQU " " (
SET MESSAGE=%CRREWMSGE028%
SET EXITCODE=%CRREW4528E%
GOTO done)

IF "%ORA_VERSION%" NEQ "1" (
IF "%ORA_VERSION%" NEQ "2" (
SET MESSAGE=%CRREWMSGE029%
SET EXITCODE=%CRREW4529E%
GOTO done))

IF "%ORACLE_HOME%" EQU " " (
SET MESSAGE=%CRREWMSGE030%
SET EXITCODE=%CRREW4530E%
GOTO done)

IF NOT EXIST "%ORACLE_HOME%"\bin (
SET MESSAGE=%CRREWMSGE031%
SET EXITCODE=%CRREW4531E%
GOTO done)

IF "%ORACLE_BASE%" EQU " " (
SET MESSAGE=%CRREWMSGE032%
SET EXITCODE=%CRREW4532E%
GOTO done)

IF NOT EXIST "%ORACLE_BASE%" (
SET MESSAGE=%CRREWMSGE032%
SET EXITCODE=%CRREW4532E%
GOTO done)

IF "%ORACLE_SID%" EQU " " ( 
SET MESSAGE=%CRREWMSGE034%
SET EXITCODE=%CRREW4534E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P SYSPWD=%CRREWPRMPT016%
)
IF "%SYSPWD%" EQU " " (
SET MESSAGE=%CRREWMSGE035%
SET EXITCODE=%CRREW4535E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P SYSTEMPWD=%CRREWPRMPT017%
)
IF "%SYSTEMPWD%" EQU " " (
SET MESSAGE=%CRREWMSGE036%
SET EXITCODE=%CRREW4536E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P SYSMANPWD=%CRREWPRMPT018%
)
IF "%SYSMANPWD%" EQU " " (
SET MESSAGE=%CRREWMSGE037%
SET EXITCODE=%CRREW4537E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P DBSNMPWD=%CRREWPRMPT019%
)
IF "%DBSNMPWD%" EQU " " (
SET MESSAGE=%CRREWMSGE038%
SET EXITCODE=%CRREW4538E%
GOTO done)

IF "%DBA_USER%" EQU " " (
SET MESSAGE=%CRREWMSGE039%
SET EXITCODE=%CRREW4539E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P DBA_PASSWORD=%CRREWPRMPT021%
)
IF "%DBA_PASSWORD%" EQU " " (
SET MESSAGE=%CRREWMSGE040%
SET EXITCODE=%CRREW4540E%
GOTO done)

IF "%NF_SCHEMA%" EQU " " (
SET MESSAGE=%CRREWMSGE005%
SET EXITCODE=%CRREW4505E%
GOTO done)

IF "%STAR_SCHEMA%" EQU " " (
SET MESSAGE=%CRREWMSGE006%
SET EXITCODE=%CRREW4506E%
GOTO done)

IF "%RIBA_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4605E%
SET MESSAGE=%CRREWMSGE105%
GOTO done)

IF "%RIASSET_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4610E%
SET MESSAGE=%CRREWMSGE110%
GOTO done)

IF "%RISCHK_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4615E%
SET MESSAGE=%CRREWMSGE115%
GOTO done)

IF "%REP_USER%" EQU " " (
SET MESSAGE=%CRREWMSGE007%
SET EXITCODE=%CRREW4507E%
GOTO done)

IF %SILENT% EQU 0 (
SET /P REP_PASSWD=%CRREWPRMPT022%
)
IF "%REP_PASSWD%" EQU " " (
SET MESSAGE=%CRREWMSGE044%
SET EXITCODE=%CRREW4544E%
GOTO done)

IF "%DATA_HOME%" EQU " " (
SET MESSAGE=%CRREWMSGE008%
SET EXITCODE=%CRREW4508E%
GOTO done)


SET HOST_NAME=%COMPUTERNAME%

IF "%START_YEAR%" EQU " " (
SET MESSAGE=%CRREWMSGE009%
SET EXITCODE=%CRREW4509E%
GOTO done)

IF "%END_YEAR%" EQU " " (
SET MESSAGE=%CRREWMSGE010%
SET EXITCODE=%CRREW4510E%
GOTO done)


)

IF %SILENT% EQU 1 (
SETLOCAL ENABLEDELAYEDEXPANSION
echo CONNECT ^&1^/^&2 >test.sql
echo SELECT COUNT^(*^) FROM CONFIG.ETL_INFO;>>test.sql
echo EXIT SQL.SQLCODE;>>test.sql
"%ORACLE_HOME%"\bin\sqlplus  /nolog @test.sql '%DBA_USER%' '"%DBA_PASSWORD%"'
IF "!ERRORLEVEL!" EQU "0" (
DEL /Q test.sql
SETLOCAL DISABLEDELAYEDEXPANSION
GOTO done)
DEL /Q test.sql
SETLOCAL DISABLEDELAYEDEXPANSION
)

IF NOT EXIST work_spc\nul (MKDIR work_spc) ELSE (
RMDIR /S /Q work_spc
MKDIR work_spc
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4576E%
SET MESSAGE=%CRREWMSGE076%
GOTO done)
IF NOT EXIST logs\nul (MKDIR logs) ELSE (
RMDIR /S /Q logs
MKDIR logs
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4576E%
SET MESSAGE=%CRREWMSGE076%
GOTO done)
XCOPY /Y /I /E /Q createDB work_spc\createDB
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRREWMSGE024%
SET EXITCODE=%CRREW4524E%
GOTO done)
XCOPY /Y /I /E /Q ddl work_spc\ddl
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRREWMSGE024%
SET EXITCODE=%CRREW4524E%
GOTO done)
XCOPY /Y /I /E /Q scripts work_spc\scripts
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRREWMSGE024%
SET EXITCODE=%CRREW4524E%
GOTO done)
COPY /Y buildDW.sql work_spc\buildDW.sql
IF %ERRORLEVEL% GTR 0 ( 
SET MESSAGE=%CRREWMSGE024%
SET EXITCODE=%CRREW4524E%
GOTO done)

IF "%1" EQU "-schema" (
SET /A FULL=0
GOTO schema)
IF "%2" NEQ "" (IF "%2" EQU "-schema" (
SET /A FULL=0
GOTO schema))

set SCHEMA_RIBA=0
FOR %%I IN (%*) DO (IF "%%I" EQU "-riba" (set SCHEMA_RIBA=1& GOTO schema_riba))

IF %FULL% EQU 1 (
IF EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID% (
SET MESSAGE=%CRREWMSGE053%
SET EXITCODE=%CRREW4553E% 
SET ACTION=%CRREWECH021%
GOTO done)

IF EXIST "%DATA_HOME%"\oradata\%ORACLE_SID% (
SET MESSAGE=%CRREWMSGE053%
SET EXITCODE=%CRREW4553E% 
SET ACTION=%CRREWECH021%
GOTO done))



ECHO ORACLE_HOME:%ORACLE_HOME%>>logs\createDB.log 
ECHO ORACLE_BASE:%ORACLE_BASE%>>logs\createDB.log
ECHO ORACLE_SID:%ORACLE_SID%>>logs\createDB.log

IF NOT EXIST "%DATA_HOME%"\oradata\%ORACLE_SID%      mkdir "%DATA_HOME%"\oradata\%ORACLE_SID%
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRREWMSGE058%
SET EXITCODE=%CRREW4558E%
GOTO done)

IF NOT EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID%\adump      mkdir "%ORACLE_BASE%"\admin\%ORACLE_SID%\adump
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRREWMSGE059%
SET EXITCODE=%CRREW4559E%
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID%\bdump      mkdir "%ORACLE_BASE%"\admin\%ORACLE_SID%\bdump
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRREWMSGE060%
SET EXITCODE=%CRREW4560E% 
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID%\cdump      mkdir "%ORACLE_BASE%"\admin\%ORACLE_SID%\cdump
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRREWMSGE061%
SET EXITCODE=%CRREW4561E% 
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID%\dpdump     mkdir "%ORACLE_BASE%"\admin\%ORACLE_SID%\dpdump
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRREWMSGE062%
SET EXITCODE=%CRREW4562E% 
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID%\pfile      mkdir "%ORACLE_BASE%"\admin\%ORACLE_SID%\pfile
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRREWMSGE063%
SET EXITCODE=%CRREW4563E% 
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\admin\%ORACLE_SID%\udump      mkdir "%ORACLE_BASE%"\admin\%ORACLE_SID%\udump
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRREWMSGE064%
SET EXITCODE=%CRREW4564E% 
GOTO done)
IF NOT EXIST "%ORACLE_HOME%"\cfgtoollogs\dbca\%ORACLE_SID% mkdir "%ORACLE_HOME%"\cfgtoollogs\dbca\%ORACLE_SID%
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRREWMSGE065%
SET EXITCODE=%CRREW4565E% 
GOTO done)
IF NOT EXIST "%ORACLE_HOME%"\dbs                      mkdir "%ORACLE_HOME%"\dbs
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRREWMSGE066%
SET EXITCODE=%CRREW4566E% 
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\flash_recovery_area      mkdir "%ORACLE_BASE%"\flash_recovery_area
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRREWMSGE067%
SET EXITCODE=%CRREW4567E% 
GOTO done)
IF NOT EXIST "%ORACLE_BASE%"\oradata\%ORACLE_SID%          mkdir "%ORACLE_BASE%"\oradata\%ORACLE_SID%
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRREWMSGE068%
SET EXITCODE=%CRREW4568E%  
GOTO done)

FOR /F "TOKENS=3" %%I IN ('"%ORACLE_HOME%"\bin\sqlplus -v') DO SET ORALEVEL=%%I


IF "%ORALEVEL:~0,5%" NEQ "11.1." (
IF "%ORALEVEL:~0,5%" NEQ "11.2." (
IF "%ORALEVEL:~0,5%" NEQ "10.2." ( 
IF "%ORALEVEL:~0,5%" NEQ "10.3." ( 
SET ORALEVEL=NONE)
)
)
)
IF %ORALEVEL% EQU NONE (
SET MESSAGE=%CRREWMSGE029%
SET EXITCODE=%CRREW4529E%
GOTO done)

IF "%ORA_VERSION%" EQU "1" (
call work_spc\createDB\init10.bat
call work_spc\createDB\initTemp10.bat
)
IF "%ORA_VERSION%" EQU "2" (
call work_spc\createDB\init.bat
call work_spc\createDB\initTemp.bat
)
"%ORACLE_HOME%"\bin\oradim.exe -new -sid %ORACLE_SID% -startmode manual -spfile >>logs\createDB.log
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRREWMSGE069%
SET EXITCODE=%CRREW4569E%
SET ACTION=%CRREWECH003%
GOTO done)

"%ORACLE_HOME%"\bin\oradim.exe -edit -sid %ORACLE_SID% -startmode auto -srvcstart system>logs\createDBService.log
IF "%ERRORLEVEL%" NEQ "0" (
SET MESSAGE=%CRREWMSGE069%
SET EXITCODE=%CRREW4569E%
SET ACTION=%CRREWECH020%
GOTO done)



"%ORACLE_HOME%"\bin\sqlplus /nolog @"%CD%"\work_spc\createDB\createDB.sql '"%ORACLE_HOME%"' %ORACLE_SID% '"%CD%"' '"%SYSPWD%"' '"%SYSTEMPWD%"' '"%SYSMANPWD%"' '"%DBSNMPWD%"' '"%ORACLE_BASE%"' %HOST_NAME% %ORA_CMD% %ORA_VERSION% database '"PWD%ORACLE_SID%.ora"'

:schema
IF %FULL% EQU 0 (
SET CONNST=^@%ORACLE_SID%
ECHO.>work_spc\ddl\tbspace.sql
ECHO.>work_spc\ddl\createUsers.sql
ECHO.>work_spc\ddl\createRIBAUsers.sql) ELSE (SET CONNST= )

:schema_riba
IF "%SCHEMA_RIBA%" EQU "1" (
SET CONNST=^@%ORACLE_SID%
echo.>work_spc\ddl\tbspace.sql
echo.>work_spc\ddl\createUsers.sql
echo.>work_spc\ddl\createSTGCFG.ddl
echo.>work_spc\ddl\createNF.ddl
echo.>work_spc\ddl\createRIASSET.ddl
echo.>work_spc\ddl\createRISCHK.ddl
echo.>work_spc\ddl\createSTAR.ddl
echo.>work_spc\ddl\createSTARViews.ddl
echo.>work_spc\scripts\initCONFIG.sql
echo.>work_spc\scripts\initNF.sql
echo.>work_spc\scripts\initRIASSET.sql
echo.>work_spc\scripts\initRISCHK.sql
echo.>work_spc\scripts\initSTAR.sql
echo.>work_spc\scripts\star_grants.sql
)

"%ORACLE_HOME%"\bin\sqlplus /nolog @"%CD%"\work_spc\buildDW.sql '"%ORACLE_HOME%"' %ORACLE_SID% '"%CD%"' '"%SYSPWD%"' '"%ORACLE_BASE%"' %DBA_USER% '"%DBA_PASSWORD%"' %NF_SCHEMA% %STAR_SCHEMA% %REP_USER%  %ORA_CMD% %START_YEAR% %END_YEAR%  '"%REP_PASSWD%"' '"%DATA_HOME%"' %RIBA_SCHEMA% %RIASSET_SCHEMA% %RISCHK_SCHEMA% '%CONNST%'
IF "%SCHEMA_RIBA%" EQU "1" ( GOTO done )

java -Ddbms="Oracle" -Dalias="%ORACLE_SID%" -Dschema="%STAR_SCHEMA%" -Dstart="%START_YEAR%" -Dend="%END_YEAR%" com.ibm.rational.rcpr.dw.procedures.PopulateD_DATE>logs\populate-D_DATE.log

"%ORACLE_HOME%"\bin\sqlplus %DBA_USER%/%DBA_PASSWORD%%CONNST% @work_spc\scripts\initD_Date.sql
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace ORA- "%CD%"\logs\populate-D_DATE.log>nul
IF "%ERRORLEVEL%" EQU "1" (
SET MESSAGE=%CRREWMSGE025%  
SET EXITCODE=%CRREW4525E% 
SET ACTION=%CRREWECH014%
GOTO done)

GOTO done

:validate

SET EXITCODE=0
SET MESSAGE=No errors

IF NOT DEFINED ORA_VERSION (
SET MESSAGE=%CRREWMSGE028%
SET EXITCODE=%CRREW4528E%
GOTO done)

IF "%ORA_VERSION%" NEQ "1" (
IF "%ORA_VERSION%" NEQ "2" (
SET MESSAGE=%CRREWMSGE029%
SET EXITCODE=%CRREW4529E%
GOTO done))


IF NOT DEFINED ORACLE_HOME (
SET ORACLE_HOME
SET MESSAGE=%CRREWMSGE030%
SET EXITCODE=%CRREW4530E%
GOTO done)

IF NOT EXIST "%ORACLE_HOME%"\bin (
SET MESSAGE=%CRREWMSGE031%
SET EXITCODE=%CRREW4531E%
GOTO done)


IF NOT DEFINED ORACLE_BASE (
SET MESSAGE=%CRREWMSGE032%
SET EXITCODE=%CRREW4532E%
GOTO done)

IF NOT EXIST "%ORACLE_BASE%" (
SET MESSAGE=%CRREWMSGE032%
SET EXITCODE=%CRREW4532E%
GOTO done)

IF NOT DEFINED ORACLE_SID (
SET MESSAGE=%CRREWMSGE034%
SET EXITCODE=%CRREW4534E%
GOTO done)

IF NOT DEFINED SYSPWD (
SET MESSAGE=%CRREWMSGE035%
SET EXITCODE=%CRREW4535E%
GOTO done)

IF NOT DEFINED SYSTEMPWD (
SET MESSAGE=%CRREWMSGE036%
SET EXITCODE=%CRREW4536E%
GOTO done)

IF NOT DEFINED SYSMANPWD (
SET MESSAGE=%CRREWMSGE037%
SET EXITCODE=%CRREW4537E%
GOTO done)

IF NOT DEFINED DBSNMPWD (
SET MESSAGE=%CRREWMSGE038%
SET EXITCODE=%CRREW4538E%
GOTO done)

IF NOT DEFINED DBA_USER (
SET MESSAGE=%CRREWMSGE039%
SET EXITCODE=%CRREW4539E%
GOTO done)

IF NOT DEFINED DBA_PASSWORD (
SET MESSAGE=%CRREWMSGE040%
SET EXITCODE=%CRREW4540E%
GOTO done)

IF NOT DEFINED NF_SCHEMA (
SET EXITCODE=%CRREW4505E%
SET MESSAGE=%CRREWMSGE005%
GOTO done)

IF NOT DEFINED STAR_SCHEMA (
SET EXITCODE=%CRREW4506E%
SET MESSAGE=%CRREWMSGE006%
GOTO done)

IF NOT DEFINED REP_USER (
SET EXITCODE=%CRREW4507E%
SET MESSAGE=%CRREWMSGE007%
GOTO done)

IF NOT DEFINED REP_PASSWD (
SET MESSAGE=%CRREWMSGE044%
SET EXITCODE=%CRREW4544E%
GOTO done)

IF NOT DEFINED DATA_HOME (
SET EXITCODE=%CRREW4508E%
SET MESSAGE=%CRREWMSGE008%
GOTO done)

IF NOT DEFINED START_YEAR  (
SET EXITCODE=%CRREW4509E%
SET MESSAGE=%CRREWMSGE009%
GOTO done)


IF NOT DEFINED END_YEAR (
SET EXITCODE=%CRREW4510E%
SET MESSAGE=%CRREWMSGE010%
GOTO done)



REG QUERY "HKCU\Control Panel\International" /v Locale>nul
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4585E%
SET MESSAGE=%CRREWMSGE085%
GOTO done
)

IF "%ORA_VERSION%" EQU " " (
SET MESSAGE=%CRREWMSGE028%
SET EXITCODE=%CRREW4528E%
GOTO done)

IF "%ORACLE_HOME%" EQU " " (
SET MESSAGE=%CRREWMSGE030%
SET EXITCODE=%CRREW4530E%
GOTO done)

IF "%ORACLE_BASE%" EQU " " (
SET MESSAGE=%CRREWMSGE032%
SET EXITCODE=%CRREW4532E%
GOTO done)

IF "%ORACLE_SID%" EQU " " ( 
SET MESSAGE=%CRREWMSGE034%
SET EXITCODE=%CRREW4534E%
GOTO done)

IF "%SYSPWD%" EQU " " (
SET MESSAGE=%CRREWMSGE035%
SET EXITCODE=%CRREW4535E%
GOTO done)

IF "%SYSTEMPWD%" EQU " " (
SET MESSAGE=%CRREWMSGE036%
SET EXITCODE=%CRREW4536E%
GOTO done)

IF "%SYSMANPWD%" EQU " " (
SET MESSAGE=%CRREWMSGE037%
SET EXITCODE=%CRREW4537E%
GOTO done)

IF "%DBSNMPWD%" EQU " " (
SET MESSAGE=%CRREWMSGE038%
SET EXITCODE=%CRREW4538E%
GOTO done)

IF "%DBA_USER%" EQU " " (
SET MESSAGE=%CRREWMSGE039%
SET EXITCODE=%CRREW4539E%
GOTO done)

IF "%DBA_PASSWORD%" EQU " " (
SET MESSAGE=%CRREWMSGE040%
SET EXITCODE=%CRREW4540E%
GOTO done)

IF "%NF_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4505E%
SET MESSAGE=%CRREWMSGE005%
GOTO done)

IF "%STAR_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4506E%
SET MESSAGE=%CRREWMSGE006%
GOTO done)

IF "%REP_USER%" EQU " " (
SET EXITCODE=%CRREW4507E%
SET MESSAGE=%CRREWMSGE007%
GOTO done)

IF "%REP_PASSWD%" EQU " " (
SET MESSAGE=%CRREWMSGE044%
SET EXITCODE=%CRREW4544E%
GOTO done)

IF "%DATA_HOME%" EQU " " (
SET EXITCODE=%CRREW4508E%
SET MESSAGE=%CRREWMSGE008%
GOTO done)


IF "%START_YEAR%" EQU " " (
SET EXITCODE=%CRREW4509E%
SET MESSAGE=%CRREWMSGE009%
GOTO done)


IF "%END_YEAR%" EQU " " (
SET EXITCODE=%CRREW4510E%
SET MESSAGE=%CRREWMSGE010%
GOTO done)










GOTO done


:done 
echo %MESSAGE%.%ACTION%:%EXITCODE%
echo %CRREWECH002%
EXIT /B %EXITCODE%